interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: GET
    uri: http://localhost:3000/api/v4/users?username=user_simple_parameters
  response:
    body:
      string: '[{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/dd4b48a77aaded39bafbfa53c66fc48f?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"","bio_html":"","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user_simple_parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":true,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":false,"note":"","using_license_seat":false}]'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '988'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:46 GMT
      Etag:
      - W/"0e8fc1b0bc0f2a124a99ceb30bd62a34"
      Link:
      - <http://gdk.test:3000/api/v4/users?active=false&admins=false&blocked=false&external=false&order_by=id&page=1&per_page=20&skip_ldap=false&sort=desc&username=user_simple_parameters&with_custom_attributes=false&without_projects=false>;
        rel="first", <http://gdk.test:3000/api/v4/users?active=false&admins=false&blocked=false&external=false&order_by=id&page=1&per_page=20&skip_ldap=false&sort=desc&username=user_simple_parameters&with_custom_attributes=false&without_projects=false>;
        rel="last"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Next-Page:
      - ''
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - 01EZS76T4R05PC27SBETTRDG1Q
      X-Runtime:
      - '0.984193'
      X-Total:
      - '1'
      X-Total-Pages:
      - '1'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user_simple_parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "admin": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '138'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/dd4b48a77aaded39bafbfa53c66fc48f?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"","bio_html":"","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user_simple_parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":true,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1069'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:47 GMT
      Etag:
      - W/"324d13360af8b15c1251a5e5807cec25"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76VAPARA2VHARC9EHT3VG
      X-Runtime:
      - '0.340405'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user_simple_parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "bio": "Not much"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '138'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/dd4b48a77aaded39bafbfa53c66fc48f?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user_simple_parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":true,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1069'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:47 GMT
      Etag:
      - W/"324d13360af8b15c1251a5e5807cec25"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76VAPARA2VHARC9EHT3VG
      X-Runtime:
      - '0.340405'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user_simple_parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "can_create_group": false}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '146'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/dd4b48a77aaded39bafbfa53c66fc48f?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user_simple_parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1070'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:47 GMT
      Etag:
      - W/"6bbc3f96eff69c8e0e506209561ddfa2"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76VPY76FEYCRZ0CW1NMZ4
      X-Runtime:
      - '0.264021'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "skip_reconfirmation": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '153'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":100000,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":false,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1075'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:48 GMT
      Etag:
      - W/"871fa2148edfedfb8b9389eb7e92baca"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76W0FZS298Q8AQ40ES5HA
      X-Runtime:
      - '0.882672'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "external": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '142'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":null,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1070'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:48 GMT
      Etag:
      - W/"7bc3544b8a2bdb1684804cda3462056e"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76WXPTDTC8XT05PTMVRQ4
      X-Runtime:
      - '0.321392'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "extra_shared_runners_minutes_limit": 42}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '166'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1068'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:49 GMT
      Etag:
      - W/"964a517f90c486408705e3b5453724c8"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76X8ZK0BTK3F9SEV6629J
      X-Runtime:
      - '0.226806'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "linkedin": "linked_in"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '149'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":null,"public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1077'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:49 GMT
      Etag:
      - W/"72cd9277430516493c90ff11f1376458"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76XH5ZW4QTE6NSMF90KVJ
      X-Runtime:
      - '0.377825'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user_simple_parameters", "location": "Nowhere"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '147'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user_simple_parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1082'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:49 GMT
      Etag:
      - W/"33178fcc8fcbf92216343c967a39201b"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76XZ8F9089R12N00XSZJ9
      X-Runtime:
      - '0.247442'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '129'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1087'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:50 GMT
      Etag:
      - W/"28bf08a78b4de031330f2e8b5308bc5f"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76Y8XWMN8E9XH8HX6QVA2
      X-Runtime:
      - '0.304454'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "note": "Fake account?"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '154'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":null,"job_title":"","bot":false,"work_information":null,"followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1100'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:50 GMT
      Etag:
      - W/"cc4fe786af63652934bd747da7a1889d"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76YKY8Z4KMZ0Y1X0N94ZR
      X-Runtime:
      - '0.231268'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "organization": "My Corp"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '156'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":false,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1110'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:50 GMT
      Etag:
      - W/"cf73b05804ba84f05a65a06aa00c901d"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76YWHPJDNWMDQBKVKSCFS
      X-Runtime:
      - '0.250623'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "private_profile": true}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '154'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":0,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":false,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1109'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:51 GMT
      Etag:
      - W/"633388a589bb7f340bbbdd452a71d0af"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76Z56NVJ24GDXJKFEE08W
      X-Runtime:
      - '0.248238'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "projects_limit": 42}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '151'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1109'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:51 GMT
      Etag:
      - W/"a3280c09a3b57dd6179d67f0f12c873b"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76ZEHAGABX8C4N1HA04ZC
      X-Runtime:
      - '0.248616'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "public_email": "contact@example.org"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '168'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":null,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1109'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:51 GMT
      Etag:
      - W/"a3280c09a3b57dd6179d67f0f12c873b"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS76ZQ9YKKCR3ZT9KH57A63
      X-Runtime:
      - '0.263080'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "shared_runners_minutes_limit": 42}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '165'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":42,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1107'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:52 GMT
      Etag:
      - W/"d9320e6ac6061a035ab7f3da039baff8"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS7700GVDV4DVECC0DGT6YG
      X-Runtime:
      - '0.298120'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "skype": "12345"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '147'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"12345","linkedin":"linked_in","twitter":"","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":42,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1112'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:52 GMT
      Etag:
      - W/"6ef82f00d3daf8b71aab4dc41210a851"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS770BQ89CX7JKMFY29D7V8
      X-Runtime:
      - '0.512389'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "twitter": "t_w_i_t_t_e_r"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '157'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"12345","linkedin":"linked_in","twitter":"t_w_i_t_t_e_r","website_url":"","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":42,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1125'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:53 GMT
      Etag:
      - W/"19ae9632ee937d58a59607c9dd1c1d83"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS7712KPYVN60YVHMH7YJS8
      X-Runtime:
      - '0.320846'
    status:
      code: 200
      message: OK
- request:
    body: '{"email": "user-with-simple-parameters@example.org", "username": "user_simple_parameters",
      "name": "user-with-simple-parameters", "website_url": "https://example.org"}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-Length:
      - '167'
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - xsYEYpTSbxrCafAhpnAp
      User-Agent:
      - python-gitlab/2.6.0
    method: PUT
    uri: http://localhost:3000/api/v4/users/32
  response:
    body:
      string: '{"id":32,"name":"user-with-simple-parameters","username":"user_simple_parameters","state":"active","avatar_url":"https://www.gravatar.com/avatar/77012867a225658e02b87fdb5046050b?s=80\u0026d=identicon","web_url":"http://gdk.test:3000/user_simple_parameters","created_at":"2021-03-02T10:19:31.518Z","bio":"Not
        much","bio_html":"\u003cp data-sourcepos=\"1:1-1:8\" dir=\"auto\"\u003eNot
        much\u003c/p\u003e","location":"Nowhere","public_email":"","skype":"12345","linkedin":"linked_in","twitter":"t_w_i_t_t_e_r","website_url":"https://example.org","organization":"My
        Corp","job_title":"","bot":false,"work_information":"My Corp","followers":0,"following":0,"last_sign_in_at":null,"confirmed_at":"2021-03-02T10:19:31.317Z","last_activity_on":null,"email":"user-with-simple-parameters@example.org","theme_id":1,"color_scheme_id":1,"projects_limit":42,"current_sign_in_at":null,"identities":[],"can_create_group":false,"can_create_project":true,"two_factor_enabled":false,"external":true,"private_profile":true,"shared_runners_minutes_limit":42,"extra_shared_runners_minutes_limit":42,"is_admin":true,"note":"Fake
        account?","using_license_seat":false}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '1144'
      Content-Type:
      - application/json
      Date:
      - Tue, 02 Mar 2021 10:19:55 GMT
      Etag:
      - W/"6ffb7630a601b66ac367cee497a1e1f0"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - users
      X-Request-Id:
      - 01EZS771EDKPJ6Z1J952CFRSPR
      X-Runtime:
      - '1.775062'
    status:
      code: 200
      message: OK
version: 1
